Skip to main content
`Ctrl`+`K`

# DMGetDMKSP

get the read-only private `DMKSP` context from a `DM`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode DMGetDMKSP(DM dm, DMKSP *kspdm)

Logically Collective

## Input Parameter

- dm - `DM` used with a `KSP`

## Output Parameter

- kspdm - private `DMKSP` context

## Note

Use `DMGetDMKSPWrite()` if write access is needed. The DMKSPSetXXX API should be used wherever possible.

## See Also

KSP: Linear System Solvers, `DMKSP`, `DM`, `KSP`, `DMGetDMKSPWrite()`

## Level

developer

## Location

src/ksp/ksp/interface/dmksp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages